> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get a container content

GET https://{tenant_name}.benchling.com/api/v2/containers/{container_id}/contents/{containable_id}

Get a container content

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/containers/get-container-content

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `container_id` (string, required)
- `containable_id` (string, required)

## Response

### 200

OK

- `batch` (BatchOrInaccessibleResource, optional, nullable)
- `concentration` (Measurement, optional)
- `entity` (EntityOrInaccessibleResource, optional, nullable)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### BatchOrInaccessibleResource

### Measurement

- `units` (string, required, nullable) — Can only be null if value is also null
- `value` (double, required, nullable) — Can only be null if units is also null

### EntityOrInaccessibleResource

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### Batch

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `createdAt` (datetime, optional) — DateTime at which the the result was created
- `creator` (UserSummary, optional)
- `defaultConcentration` (Measurement, optional)
- `entity` (BatchEntity, optional)
- `fields` (map from string to Field, optional)
- `id` (string, optional)
- `modifiedAt` (datetime, optional)
- `name` (string, optional)
- `schema` (SchemaSummary, optional, nullable)
- `webURL` (string, optional)

### InaccessibleResource

- `inaccessibleId` (string, optional)
- `type` (string, optional) — The type of this inaccessible item. Example values: "custom_entity", "container", "plate", "dna_sequence"

### ArchiveRecord

- `reason` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### BatchEntity

- `entityType`: `aa_sequence` (aa_sequence)
  - `id` (string, optional)
  - `type` (string, optional, deprecated)
- `entityType`: `custom_entity` (custom_entity)
  - `id` (string, optional)
  - `type` (string, optional, deprecated)
- `entityType`: `dna_sequence` (dna_sequence)
  - `id` (string, optional)
  - `type` (string, optional, deprecated)

### Field

- `value` (FieldValue, required, nullable) — For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])
- `displayValue` (string, optional, nullable)
- `isMulti` (boolean, optional)
- `textValue` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### SchemaSummary

- `id` (string, optional)
- `name` (string, optional)

### FieldValue

For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])

## Examples

**Response**

```json
{
  "batch": {
    "archiveRecord": {
      "reason": "Made in error"
    },
    "createdAt": "2024-01-15T09:30:00Z",
    "creator": {
      "handle": "string",
      "id": "string",
      "name": "string"
    },
    "defaultConcentration": {
      "units": "string",
      "value": 1.1
    },
    "entity": {
      "entityType": "dna_sequence",
      "id": "seq_ObbdtGhC",
      "type": "string"
    },
    "fields": {},
    "id": "bat_UOIr8IjL",
    "modifiedAt": "2024-01-15T09:30:00Z",
    "name": "string",
    "schema": {
      "id": "string",
      "name": "string"
    },
    "webURL": "string"
  },
  "concentration": {
    "units": "string",
    "value": 1.1
  },
  "entity": {
    "aliases": [
      "string"
    ],
    "annotations": [
      {
        "color": "#F58A5E",
        "customFields": [
          {
            "name": "string",
            "value": "string"
          }
        ],
        "end": 1,
        "name": "string",
        "notes": "Cong et al Science. 2013 Jan 3.",
        "start": 1,
        "strand": 1,
        "type": "string"
      }
    ],
    "apiURL": "https://benchling.com/api/v2/dna-sequences/seq_asQya4lk",
    "archiveRecord": {
      "reason": "Made in error"
    },
    "authors": [
      {
        "handle": "string",
        "id": "string",
        "name": "string"
      }
    ],
    "bases": "string",
    "createdAt": "2024-01-15T09:30:00Z",
    "creator": {
      "handle": "string",
      "id": "string",
      "name": "string"
    },
    "customFields": {
      "Legacy ID": {
        "value": "STR100"
      }
    },
    "dnaAlignmentIds": [
      "string"
    ],
    "entityRegistryId": "string",
    "entityType": "dna_sequence",
    "fields": {},
    "folderId": "string",
    "id": "string",
    "isCircular": true,
    "length": 1,
    "modifiedAt": "2024-01-15T09:30:00Z",
    "name": "string",
    "parts": [
      {
        "end": 1,
        "sequenceId": "seq_VfVOART1",
        "start": 1,
        "strand": 1
      }
    ],
    "primers": [
      {
        "bases": "string",
        "bindPosition": 1,
        "color": "string",
        "end": 1,
        "name": "string",
        "oligoId": "string",
        "overhangLength": 1,
        "start": 1,
        "strand": 1
      }
    ],
    "registrationOrigin": {
      "originEntryId": "string",
      "registeredAt": "2024-01-15T09:30:00Z"
    },
    "registryId": "string",
    "schema": {
      "id": "string",
      "name": "string"
    },
    "transcriptions": [
      {
        "end": 1,
        "sequenceId": "seq_VfVOART1",
        "start": 1,
        "strand": 1
      }
    ],
    "translations": [
      {
        "aminoAcids": "string",
        "coerceStartCodonToMethionine": false,
        "color": "#F58A5E",
        "customFields": [
          {
            "name": "string",
            "value": "string"
          }
        ],
        "end": 1,
        "geneticCode": "STANDARD",
        "name": "string",
        "notes": "Cong et al Science. 2013 Jan 3.",
        "regions": [
          {
            "end": 1,
            "start": 1
          }
        ],
        "start": 1,
        "strand": 1
      }
    ],
    "url": "string",
    "webURL": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/containers/container_id/contents/containable_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/containers/container_id/contents/containable_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```